Package org.opentcs.data.model

# Enum Path.Layout.ConnectionType

java.lang.Object
java.lang.Enum<Path.Layout.ConnectionType>
org.opentcs.data.model.Path.Layout.ConnectionType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Path.Layout.ConnectionType>`, `java.lang.constant.Constable`

Enclosing class:
  Path.Layout

    public static enum Path.Layout.ConnectionType
    extends java.lang.Enum<Path.Layout.ConnectionType>

The connection type a path is represented as.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `BEZIER` | A bezier curve with 2 control points.
  `BEZIER_3` | A bezier curve with 3 control points.
  `DIRECT` | A direct connection.
  `ELBOW` | An elbow connection.
  `POLYPATH` | A polygon path with any number of vertecies.
  `SLANTED` | A slanted connection.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Path.Layout.ConnectionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Path.Layout.ConnectionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIRECT

    public static final Path.Layout.ConnectionType DIRECT
    A direct connection.

  - ### ELBOW

    public static final Path.Layout.ConnectionType ELBOW
    An elbow connection.

  - ### SLANTED

    public static final Path.Layout.ConnectionType SLANTED
    A slanted connection.

  - ### POLYPATH

    public static final Path.Layout.ConnectionType POLYPATH
    A polygon path with any number of vertecies.

  - ### BEZIER

    public static final Path.Layout.ConnectionType BEZIER
    A bezier curve with 2 control points.

  - ### BEZIER_3

    public static final Path.Layout.ConnectionType BEZIER_3
    A bezier curve with 3 control points.

- ## Method Details

  - ### values

    public static Path.Layout.ConnectionType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Path.Layout.ConnectionType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null